module GdnsdIo
	class FileOperations
		def initialize(*args)
			options = args.last.is_a?(Hash) ? args.pop : {}
		    @config = GdnsdIo::FilePath.new options
		end

		def write_record(records, text_file_name)
		    tmp_file = File.new(@config.filepath + "/" + text_file_name + ".txt", "w+") unless File.exists?(text_file_name)
			records.each do |record|
				if record[:prio].nil?
		    		tmp_file.puts(record[:name].to_s + " \t" + record[:rtype].to_s + "\t" + record[:content].to_s + "\t" + record[:ttl].to_s )
		    	else
		    		tmp_file.puts(record[:name].to_s + " \t" + record[:rtype].to_s + "\t" + record[:content].to_s + "\t" + record[:ttl].to_s + " \t" + record[:prio].to_s )
				end
			end
			tmp_file.close
		end

		def create_text(text_file_name)
			tmp_file = File.new(@config.filepath + "/" + text_file_name + ".txt", "w+") unless File.exists?(text_file_name)
			tmp_file.close
		end

		def delete_text(text_file_name)
			File.delete(@config.filepath + "/" + text_file_name + ".txt")
		end
	end
end